<bugID>1164979<Summary>move docshell usage to social-content script</Summary><Description>move any touch points on frame.docShell (e.g. docShell.isAppTab into social-content.js (or otherwise fix if api already exists, e.g. docShell.isActive -&gt; docShellIsActive)</Description></bugID>